代码高亮插件Enlighter跟首行缩进代码的冲突

这两天把在后台安装了代码高亮的插件——Enlighter,本来是想用代码来实现的,但又懒了点,还是直接采用插件操作吧。毕竟WordPress上插件(Enlighter – Customizable Syntax Highlighter)还是非常成熟的操作了,不用再一个个自己研究那么辛苦。但是启用之后,却发现有些时候OK,有些时候却出现异常,并没有自动高亮代码,初步检查后,发现原来跟前两天加上去的首行缩进2字符代码有所冲突。问题找到后,也针对性做了解决,也简单记录下,方便以后学习。